import { Chunk } from "../gamefile/chunk_file.js";
import { Matrix } from "../utils/misc.js";
import Blob from "cross-blob";
export interface InstancedModel {
    model: Chunk;
    lod_model: Chunk | undefined;
    instances: ModelInstance[];
    render_distance: number;
    lod_distance: number;
    fade_depth: number;
}
export interface ModelInstance {
    transform: Matrix;
    zone_id: number;
}
export declare class InstancedModelsChunk {
    models: InstancedModel[];
    constructor(models: InstancedModel[]);
    static from_blob(blob: Blob): Promise<InstancedModelsChunk>;
    to_blob(): Blob;
    copy(): InstancedModelsChunk;
}
