import Blob from 'cross-blob';
export interface SectorMap {
    sectors: number[];
    sizes: number[];
}
export declare function guess_sector_map(file_size: number): SectorMap;
export declare function import_sector_map(executable_blob: Blob): Promise<SectorMap>;
export declare function export_sector_map(executable_blob: Blob, sector_map: SectorMap): Promise<Blob>;
