import { CollisionChunk } from "../chunks/collision.js";
import { ImageChunk } from "../chunks/image.js";
import { MaterialsChunk } from "../chunks/materials.js";
import { ModelChunk } from "../chunks/model.js";
import { LightsChunk } from "../chunks/lights.js";
export declare function export_gltf(materials: MaterialsChunk, images: ImageChunk[], parts: GlTfExportParts): Uint8Array;
export interface GlTfExportParts {
    model?: ModelChunk;
    collision?: CollisionChunk;
    lights?: LightsChunk;
}
